Name:           qesteidutil
Version:        3.8.0.1106
Release:        7%{?dist}
Summary:        Estonian ID card utility
License:        LGPLv2+
URL:            http://www.ria.ee
Source0:        https://installer.id.ee/media/sources/%{name}-%{version}.tar.gz
Source1:        %{name}.appdata.xml


BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  openssl-devel
BuildRequires:  qt5-qttools-devel
BuildRequires:  pcsc-lite-devel >= 1.7
BuildRequires:  appdata-tools
Requires:       hicolor-icon-theme
Requires:       opensc%{?_isa}

%description
QEsteidUtil is an application for managing Estonian ID Card. In an
user-friendly interface it is possible to change and unlock PINs, examine
detailed information about personal data file on the card, extract and view
certificates, set up mobile ID, and configure @eesti.ee email.


%prep
%setup -q

# This is here as long as upstream fixes minidump.cc permissions
chmod -x %{_builddir}/%{name}-%{version}/breakpad/google-breakpad/src/processor/minidump.cc

%build
%{cmake} . \
%ifnarch %{arm} %{ix86} x86_64
    -DBREAKPAD=FALSE
%else
    %{nil}
%endif


make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}

desktop-file-validate %{buildroot}/%{_datadir}/applications/qesteidutil.desktop

mkdir -p %{buildroot}%{_datadir}/appdata/
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/appdata/%{name}.appdata.xml
appdata-validate --nonet %{buildroot}/%{_datadir}/appdata/%{name}.appdata.xml

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%doc AUTHORS COPING README
%{_bindir}/qesteidutil
%{_datadir}/applications/qesteidutil.desktop
%{_datadir}/icons/hicolor/*/apps/qesteidutil.png
%{_datadir}/appdata/*.appdata.xml
%{_mandir}/man1/qesteidutil.1*

%changelog
* Tue Nov 18 2014 Dan Horák <dan[at]danny.cz> - 3.8.0.1106-7
- enable internal crash handler only on supported arches

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.0.1106-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jul  5 2014 Mihkel Vain <mihkel@fedoraproject.org> - 3.8.0.1106-5
- New build for updated appdata file (add screenshots)

* Sat Jul  5 2014 Mihkel Vain <mihkel@fedoraproject.org> - 3.8.0.1106-4
- Add appdata support

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.0.1106-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Apr 30 2014 Mihkel Vain <mihkel@fedoraproject.org> - 3.8.0.1106-2
- Add desktop-file-validate to install section
- Change minidump.cc permissions in prep
- Use cmake macro

* Wed Apr 30 2014 Mihkel Vain <mihkel@fedoraproject.org> - 3.8.0.1106-1
- First package based on new source code from RIA

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Oct 12 2011 Kalev Lember <kalevlember@gmail.com> - 0.3.1-1
- Update to 0.3.1
- Dropped upstreamed patch

* Fri Apr 15 2011 Kalev Lember <kalev@smartlink.ee> - 0.3.0-5
- Rebuilt for lib11 0.2.8 soname bump

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Oct 20 2010 Kalev Lember <kalev@smartlink.ee> - 0.3.0-3
- Require hicolor-icon-theme

* Thu Oct 07 2010 Kalev Lember <kalev@smartlink.ee> - 0.3.0-2
- Backported patch to use system qtsingleapplication (#641042)

* Thu Oct 07 2010 Kalev Lember <kalev@smartlink.ee> - 0.3.0-1
- Update to 0.3.0

* Tue May 11 2010 Kalev Lember <kalev@smartlink.ee> - 0.2.0-0.19.svn2685
- BR qt4-webkit-devel (F14+)

* Mon Mar 29 2010 Kalev Lember <kalev@smartlink.ee> - 0.2.0-0.18.svn2685
- Spec file clean up
- Added AUTHORS and COPYING docs
- Cleaned up nightly build changelog entries

* Fri Feb 26 2010 Kalev Lember <kalev@smartlink.ee> - 0.2.0-0.14.svn2499
- rebuilt with Qt 4.6

* Thu Jan 21 2010 Kalev Lember <kalev@smartlink.ee> - 0.2.0-0.11.svn2455
- rebuilt with new libp11

* Sun Jun 14 2009 Kalev Lember <kalev@smartlink.ee> - 0.2.0-0.1.svn714
- Initial RPM release.
